<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.distribution.PwRStatAreaAlarmCountMMapper">

    <resultMap id="BaseResultMap" type="com.njcn.device.pms.pojo.po.RStatAreaAlarmCountM">
            <id property="orgNo" column="org_no" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="dataType" column="data_type" jdbcType="INTEGER"/>
            <result property="vdevAlarmInfo" column="vdev_alarm_info" jdbcType="INTEGER"/>
            <result property="vdevAlarmRatio" column="vdev_alarm_ratio" jdbcType="INTEGER"/>
            <result property="freqAlarmInfo" column="freq_alarm_info" jdbcType="INTEGER"/>
            <result property="freqAlarmRatio" column="freq_alarm_ratio" jdbcType="INTEGER"/>
            <result property="unbalanceAlarmInfo" column="unbalance_alarm_info" jdbcType="INTEGER"/>
            <result property="unbalanceAlarmRatio" column="unbalance_alarm_ratio" jdbcType="INTEGER"/>
            <result property="vAlarmInfo" column="v_alarm_info" jdbcType="INTEGER"/>
            <result property="vAlarmRatio" column="v_alarm_ratio" jdbcType="INTEGER"/>
            <result property="flickerAlarmInfo" column="flicker_alarm_info" jdbcType="INTEGER"/>
            <result property="flickerAlarmRatio" column="flicker_alarm_ratio" jdbcType="INTEGER"/>
            <result property="sagAlarmInfo" column="sag_alarm_info" jdbcType="INTEGER"/>
            <result property="sagAlarmAvgCount" column="sag_alarm_avg_count" jdbcType="INTEGER"/>
            <result property="interruptAlarmInfo" column="interrupt_alarm_info" jdbcType="INTEGER"/>
            <result property="interruptAlarmAvgCount" column="interrupt_alarm_avg_count" jdbcType="INTEGER"/>
            <result property="harmonicTypeGrade" column="harmonic_type_grade" jdbcType="INTEGER"/>
            <result property="eventTypeGrade" column="event_type_grade" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        org_no,data_date,data_type,
        vdev_alarm_info,vdev_alarm_ratio,freq_alarm_info,
        freq_alarm_ratio,unbalance_alarm_info,unbalance_alarm_ratio,
        v_alarm_info,v_alarm_ratio,flicker_alarm_info,
        flicker_alarm_ratio,sag_alarm_info,sag_alarm_avg_count,
        interrupt_alarm_info,interrupt_alarm_avg_count,harmonic_type_grade,
        event_type_grade
    </sql>
</mapper>
